/**
 * @file ftsr_decode.h
 *
 * @brief This file contains function prototypes and data definitions that
 * helps to decode FTSR frame received from receiver node
*/

#ifndef _FTSR_DECODE_H_
#define _FTSR_DECODE_H_
#include "data_type.h"
#include "message_frame_def.h"
#include "tc_tm_sample.h"
#include "notify_apps.h"


typedef struct ftsr_frame_buff
{
	uint8_t * ftsr_buf_ptr;
	uint16_t buf_length;
}
s_ftsr_frame_buff;



/*!
 * @brief This API receives the FTSR frame data from TC-TM then decode FTSR frame
 *
 */
void ft_receive_ftsr(uint8_t *ftsr_data, uint16_t ftsr_data_length);





/* FT internal functions */
void decode_ftsr_frame();
void decode_ftsr();
void send_ready_sts(e_ftsr_response_code set);
uint8_t prepare_sts_and_notify_sender_app(ft_status_type status);
void ft_decode_ftsr_frame(void);
void ftsr_incoming_frame_buffer_clear(void);
void ft_decode_ftsr_frame(void);

#endif /* FTSR_H_ */
